#ifndef RESIZE_H_
#define RESIZE_H_

#ifdef __cplusplus
extern "C" {
#endif

void resize_8888(
    const unsigned char* src,
    int src_width,
    int src_height,
    int src_step,
    unsigned char* dst,
    int dst_width,
    int dst_height,
    int dst_step);

void resize_8(
    const unsigned char* src,
    int src_width,
    int src_height,
    int src_step,
    unsigned char* dst,
    int dst_width,
    int dst_height,
    int dst_step);

void resize_F(
    const float* src,
    int src_width,
    int src_height,
    int src_step,
    float* dst,
    int dst_width,
    int dst_height,
    int dst_step);

#ifdef __cplusplus
}
#endif

#endif /* RESIZE_H_ */
