//
//  GrabCut.hpp
//  FaceRecognation
//
//  Created by Lusine Abrahamyan on 6/15/16.
//  Copyright © 2016 Lusine. All rights reserved.
//

#ifndef GrabCut_hpp
#define GrabCut_hpp

#include <stdio.h>
#include "Accelerate/Accelerate.h"
#include <vector>

enum GrabCutClasses {
    GC_BGD = 0,  // possible background pixel
    GC_PR_FGD = 255,  // possible foreground pixel
};

struct MinMax{
    int min;
    int max;
    int y;
};

bool letTheMagicBegin(const vImage_Buffer& sourceImage,vImage_Buffer& binaryMask);
void letTheMagicRefine(const vImage_Buffer& sourceImage, vImage_Buffer& binaryMask, vImage_Buffer& refineMask, int mode);
int getProgress();

#endif /* GrabCut_hpp */