#ifndef WARP_H
#define WARP_H

#include "Accelerate.h"

#ifdef __cplusplus
extern "C" {
#endif

void warpAffine_Planar8(
    const vImage_Buffer  *src,
    const vImage_Buffer  *dest,
    Pixel_D* M,
    vImage_Flags borderType,
    Pixel_8 borderValue);

void warpAffine_ARGB8888(
    const vImage_Buffer *src,
    vImage_Buffer *dest,
    Pixel_D* M,
    vImage_Flags borderType,
    Pixel_8888 borderValue);

#ifdef __cplusplus
}
#endif

#endif // WARP_H
